## plasma-nm 5.27.4

=== debian/changelog ===
plasma-nm (4:5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:39:06 +0100

plasma-nm (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:19:37 +0000

plasma-nm (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:24:19 +0000

plasma-nm (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:48:02 +0000

plasma-nm (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:42:05 +0000

plasma-nm (4:5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:31:00 +0000

plasma-nm (4:5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 08:57:46 +0000

plasma-nm (4:5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Do not build the mobile broadband KCM.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Dec 2022 13:10:29 +0000

plasma-nm (4:5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:04:59 +0000

plasma-nm (4:5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:12:33 +0000

plasma-nm (4:5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:11:02 +0000

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               kirigami2-dev (>= 5.102.0~),
               libkf5completion-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5networkmanagerqt-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5plasma-dev (>= 5.102.0~),
               libkf5prison-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5solid-dev (>= 5.102.0~),
               libkf5wallet-dev (>= 5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libnm-dev (>= 1.4.0~),
               libopenconnect-dev (>= 3.99~),
               libqca-qt5-2-dev (>= 2.1.0~),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 1.0.0~),
               modemmanager-qt-dev (>= 5.102.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/plasma-nm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
Rules-Requires-Root: no

Package: plasma-nm
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         network-manager,
         plasma-framework,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-prison,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5wallet-bin, systemsettings
Suggests: network-manager-fortisslvpn,
          network-manager-iodine,
          network-manager-l2tp,
          network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-ssh,
          network-manager-strongswan,
          network-manager-vpnc,
Description: Plasma network connections management
 plasma-nm provides a Plasma applet written in QML for managing network
 connections using Network Manager.
 .
 This package is part of the KDE Plasma.

## plasma-nm 5.27.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-networkmanagement)

set(PROJECT_VERSION "5.27.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

################# set KDE specific information #################

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMFindQmlModule)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)

include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Gui
    Network
    Quick
    QuickWidgets
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    ConfigWidgets
    Completion
    CoreAddons
    Declarative
    DBusAddons
    KIO
    I18n
    NetworkManagerQt
    Notifications
    Plasma
    Service
    Solid
    Wallet
    WidgetsAddons
    WindowSystem
    KCMUtils
    ModemManagerQt
)

ecm_find_qmlmodule(org.kde.prison 1.0)

find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime by the KCMs"
    TYPE RUNTIME
)

find_package(Qca-qt${QT_MAJOR_VERSION} 2.1.0)
set_package_properties(Qca-qt${QT_MAJOR_VERSION} PROPERTIES DESCRIPTION "Support for encryption"
                       URL "https://download.kde.org/stable/qca-qt5/"
                       TYPE REQUIRED)

find_package(KF5Prison ${KF5_MIN_VERSION})
set_package_properties(KF5Prison PROPERTIES DESCRIPTION "Prison library"
                       URL "https://commits.kde.org/prison"
                       TYPE RUNTIME
                       PURPOSE "Needed to create mobile barcodes for WiFi networks"
                      )

find_package(PkgConfig REQUIRED)
pkg_check_modules(OPENCONNECT IMPORTED_TARGET openconnect>=3.99)
pkg_check_modules(NETWORKMANAGER IMPORTED_TARGET libnm>1.4.0 REQUIRED)
pkg_check_modules(MOBILEBROADBANDPROVIDERINFO mobile-broadband-provider-info)
pkg_get_variable(BROADBANDPROVIDER_DATABASE mobile-broadband-provider-info database)

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050f00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)


add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)

add_subdirectory(applet)
add_subdirectory(kded)
add_subdirectory(kcm)
add_subdirectory(libs)
add_subdirectory(vpn)

if (BUILD_MOBILE)
    add_subdirectory(mobile)
endif()

# Enable unit testing
if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(
        EXPORT PLASMANM
        FILE plasma-nm.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== libs/declarative/CMakeLists.txt ===

add_library(plasmanm_qmlplugins SHARED)
target_sources(plasmanm_qmlplugins PRIVATE
   availabledevices.cpp
   connectionicon.cpp
   enabledconnections.cpp
   enums.cpp
   networkstatus.cpp
   qmlplugins.cpp
   availabledevices.h
   connectionicon.h
   enabledconnections.h
   enums.h
   networkstatus.h
   qmlplugins.h
)

target_link_libraries(plasmanm_qmlplugins
    plasmanm_internal
    plasmanm_editor
    Qt::Quick
    KF5::I18n
    KF5::ModemManagerQt
)

install(TARGETS plasmanm_qmlplugins DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/networkmanagement)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/networkmanagement)

=== libs/editor/CMakeLists.txt ===
set(plasmanm_editor_SRCS
    configuration.cpp
    uiutils.cpp
    connectioneditorbase.cpp
    connectioneditorbase.h
    connectioneditordialog.cpp
    connectioneditordialog.h
    connectioneditortabwidget.cpp
    connectioneditortabwidget.h
    listvalidator.cpp
    listvalidator.h
    settings/bondwidget.cpp
    settings/bondwidget.h
    settings/bridgewidget.cpp
    settings/bridgewidget.h
    settings/btwidget.cpp
    settings/btwidget.h
    settings/cdmawidget.cpp
    settings/cdmawidget.h
    settings/connectionwidget.cpp
    settings/connectionwidget.h
    settings/gsmwidget.cpp
    settings/gsmwidget.h
    settings/infinibandwidget.cpp
    settings/infinibandwidget.h
    settings/ipv4widget.cpp
    settings/ipv4widget.h
    settings/ipv6widget.cpp
    settings/ipv6widget.h
    settings/pppoewidget.cpp
    settings/pppoewidget.h
    settings/pppwidget.cpp
    settings/pppwidget.h
    settings/security802-1x.cpp
    settings/security802-1x.h
    settings/teamwidget.cpp
    settings/teamwidget.h
    settings/vlanwidget.cpp
    settings/vlanwidget.h
    settings/wificonnectionwidget.cpp
    settings/wificonnectionwidget.h
    settings/wifisecurity.cpp
    settings/wifisecurity.h
    settings/wiredconnectionwidget.cpp
    settings/wiredconnectionwidget.h
    settings/wiredsecurity.cpp
    settings/wiredsecurity.h
    settings/wireguardinterfacewidget.cpp
    settings/wireguardinterfacewidget.h
    settings/wireguardpeerwidget.cpp
    settings/wireguardpeerwidget.h
    settings/wireguardtabwidget.cpp
    settings/wireguardtabwidget.h

    simpleiplistvalidator.cpp
    simpleiplistvalidator.h
    simpleipv4addressvalidator.cpp
    simpleipv4addressvalidator.h
    simpleipv6addressvalidator.cpp
    simpleipv6addressvalidator.h
    vpnuiplugin.cpp
    vpnuiplugin.h

    widgets/advancedpermissionswidget.cpp
    widgets/advancedpermissionswidget.h
    widgets/bssidcombobox.cpp
    widgets/bssidcombobox.h
    widgets/delegate.cpp
    widgets/delegate.h
    widgets/editlistdialog.cpp
    widgets/editlistdialog.h
    widgets/hwaddrcombobox.cpp
    widgets/hwaddrcombobox.h
    widgets/intdelegate.cpp
    widgets/intdelegate.h
    widgets/ipv4delegate.cpp
    widgets/ipv4delegate.h
    widgets/ipv4routeswidget.cpp
    widgets/ipv4routeswidget.h
    widgets/ipv6delegate.cpp
    widgets/ipv6delegate.h
    widgets/ipv6routeswidget.cpp
    widgets/ipv6routeswidget.h
    widgets/passwordfield.cpp
    widgets/passwordfield.h
    widgets/settingwidget.cpp
    widgets/settingwidget.h
    widgets/ssidcombobox.cpp
    widgets/ssidcombobox.h
    widgets/mobileconnectionwizard.cpp
    widgets/mobileconnectionwizard.h
    wireguardkeyvalidator.cpp
    wireguardkeyvalidator.h
    mobileproviders.cpp
    mobileproviders.h
)

ki18n_wrap_ui(plasmanm_editor_SRCS
    settings/ui/802-1x.ui
    settings/ui/bond.ui
    settings/ui/bridge.ui
    settings/ui/bt.ui
    settings/ui/cdma.ui
    settings/ui/connectionwidget.ui
    settings/ui/gsm.ui
    settings/ui/infiniband.ui
    settings/ui/ipv4.ui
    settings/ui/ipv6.ui
    settings/ui/ppp.ui
    settings/ui/pppoe.ui
    settings/ui/team.ui
    settings/ui/vlan.ui
    settings/ui/team.ui
    settings/ui/wificonnectionwidget.ui
    settings/ui/wifisecurity.ui
    settings/ui/wiredconnectionwidget.ui
    settings/ui/wiredsecurity.ui
    settings/ui/wireguardinterfacewidget.ui
    settings/ui/wireguardtabwidget.ui
    settings/ui/wireguardpeerwidget.ui

    widgets/ui/advancedpermissionswidget.ui
    widgets/ui/ipv4routes.ui
    widgets/ui/ipv6routes.ui

    connectioneditortabwidget.ui
)

ecm_qt_declare_logging_category(plasmanm_editor_SRCS HEADER plasma_nm_editor.h IDENTIFIER PLASMA_NM_EDITOR_LOG CATEGORY_NAME org.kde.plasma.nm.editor DESCRIPTION "Plasma NM (editor)" EXPORT PLASMANM)

add_library(plasmanm_editor SHARED ${plasmanm_editor_SRCS})

target_include_directories(plasmanm_editor
    PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}/widgets
    PRIVATE
        ${CMAKE_SOURCE_DIR}/libs
)

target_link_libraries(plasmanm_editor
PUBLIC
    KF5::ConfigWidgets
    KF5::Completion
    KF5::NetworkManagerQt
    KF5::WidgetsAddons
    KF5::ModemManagerQt
    Qt::Widgets
PRIVATE
    KF5::I18n
    KF5::KIOWidgets
    KF5::Notifications
    KF5::Solid
    KF5::Wallet
    Qt::DBus
    Qt::Network
    qca-qt${QT_MAJOR_VERSION}
)

target_compile_definitions(plasmanm_editor PRIVATE BROADBANDPROVIDER_DATABASE=\"${BROADBANDPROVIDER_DATABASE}\")

install(TARGETS plasmanm_editor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== vpn/openvpn/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_openvpnui\")

# Needed to build this module
remove_definitions(-DQT_USE_FAST_OPERATOR_PLUS)



add_library(plasmanetworkmanagement_openvpnui MODULE)
target_sources(plasmanetworkmanagement_openvpnui PRIVATE
    openvpn.cpp
    openvpnwidget.cpp
    openvpnauth.cpp
    openvpnadvancedwidget.cpp
    openvpn.h
    openvpnwidget.h
    openvpnauth.h
    openvpnadvancedwidget.h
)
ecm_qt_declare_logging_category(plasmanetworkmanagement_openvpnui HEADER plasma_nm_openvpn.h IDENTIFIER PLASMA_NM_OPENVPN_LOG CATEGORY_NAME org.kde.plasma.nm.openvpn DESCRIPTION "Plasma NM (openvpn plugins)" EXPORT PLASMANM)
ki18n_wrap_ui(plasmanetworkmanagement_openvpnui openvpn.ui openvpnadvanced.ui)

target_link_libraries(plasmanetworkmanagement_openvpnui
    plasmanm_internal
    plasmanm_editor
    KF5::CoreAddons
    KF5::I18n
    KF5::WidgetsAddons
    KF5::KIOWidgets
)

install(TARGETS plasmanetworkmanagement_openvpnui  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/network/vpn)

=== vpn/pptp/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_pptpui\")


add_library(plasmanetworkmanagement_pptpui MODULE)
target_sources(plasmanetworkmanagement_pptpui PRIVATE
   pptp.cpp
   pptpwidget.cpp
   pptpauth.cpp
   pptp.h
   pptpwidget.h
   pptpauth.h
   )
ki18n_wrap_ui(plasmanetworkmanagement_pptpui pptpprop.ui pptpadvanced.ui pptpauth.ui)

target_link_libraries(plasmanetworkmanagement_pptpui
    plasmanm_internal
    plasmanm_editor
    KF5::CoreAddons
    KF5::I18n
    KF5::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_pptpui  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/network/vpn)

=== debian/changelog ===
plasma-nm (4:5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:43 +0200

plasma-nm (4:5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:27:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: plasma-nm
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -39,10 +38,10 @@
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/plasma-nm
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nm
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nm.git
 Rules-Requires-Root: no
 
 Package: plasma-nm
@@ -55,7 +54,7 @@
          qml-module-org-kde-prison,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5wallet-bin, systemsettings
+Recommends: libkf5wallet-bin, systemsettings,
 Suggests: network-manager-fortisslvpn,
           network-manager-iodine,
           network-manager-l2tp,
@@ -70,3 +69,18 @@
  connections using Network Manager.
  .
  This package is part of the KDE Plasma.
+
+Package: kde-config-mobile-networking
+Architecture: linux-any
+Breaks: plasma-nm (<< 4:5.20.5-2),
+Replaces: plasma-nm (<< 4:5.20.5-2),
+Depends: plasma-framework,
+         qml-module-org-kde-kirigami2,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick2,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: Plasma mobile configuration modules
+ This package contains the configuration modules to setup mobile, broadband
+ and Wi-Fi connections.

## plasma-nm 5.27.7

=== debian/changelog ===
plasma-nm (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:50:03 +0200

## plasma-nm 5.27.8

=== debian/changelog ===
plasma-nm (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:31:47 +0100

plasma-nm (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Do not build the mobile broadband KCM.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 11:15:19 +0100

plasma-nm (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:16:02 +0100

plasma-nm (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:37:36 +0100

plasma-nm (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:15:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma-nm
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -38,10 +39,10 @@
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/plasma-nm
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nm
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
 Rules-Requires-Root: no
 
 Package: plasma-nm
@@ -69,18 +70,3 @@
  connections using Network Manager.
  .
  This package is part of the KDE Plasma.
-
-Package: kde-config-mobile-networking
-Architecture: linux-any
-Breaks: plasma-nm (<< 4:5.20.5-2),
-Replaces: plasma-nm (<< 4:5.20.5-2),
-Depends: plasma-framework,
-         qml-module-org-kde-kirigami2,
-         qml-module-qtquick-controls2,
-         qml-module-qtquick-layouts,
-         qml-module-qtquick2,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Description: Plasma mobile configuration modules
- This package contains the configuration modules to setup mobile, broadband
- and Wi-Fi connections.

## plasma-nm 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(plasma-networkmanagement)
 
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.11")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.2")

=== libs/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement-libs\")




add_library(plasmanm_internal SHARED)
ecm_qt_declare_logging_category(plasmanm_internal HEADER plasma_nm_libs.h IDENTIFIER PLASMA_NM_LIBS_LOG CATEGORY_NAME org.kde.plasma.nm.libs DESCRIPTION "Plasma NM (libs)" EXPORT PLASMANM)
target_sources(plasmanm_internal PRIVATE
    models/appletproxymodel.cpp
    models/creatableconnectionsmodel.cpp
    models/editorproxymodel.cpp
    models/kcmidentitymodel.cpp
    models/mobileproxymodel.cpp
    models/networkitemslist.cpp
    models/networkmodel.cpp
    models/networkmodelitem.cpp
    configurationproxy.cpp
    handler.cpp
    models/appletproxymodel.h
    models/creatableconnectionsmodel.h
    models/editorproxymodel.h
    models/kcmidentitymodel.h
    models/mobileproxymodel.h
    models/networkitemslist.h
    models/networkmodel.h
    models/networkmodelitem.h
    configurationproxy.h
    handler.h
)

target_include_directories(plasmanm_internal PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/models)

target_link_libraries(plasmanm_internal
PUBLIC
    KF5::NetworkManagerQt
    plasmanm_editor
    PkgConfig::NETWORKMANAGER
PRIVATE
    KF5::I18n
    KF5::Notifications
    KF5::Service
    KF5::Wallet
    KF5::WindowSystem
    KF5::KIOGui
)

target_link_libraries(plasmanm_internal PUBLIC KF5::ModemManagerQt)

install(TARGETS plasmanm_internal ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(declarative)
add_subdirectory(editor)

=== tests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Test)
set_package_properties(Qt${QT_MAJOR_VERSION}Test PROPERTIES PURPOSE "Required for autotests")

ecm_add_test(
    simpleipv6test.cpp
    LINK_LIBRARIES Qt::Test plasmanm_editor
)

ecm_add_test(
    simpleipv4test.cpp
    LINK_LIBRARIES Qt::Test plasmanm_editor
)

ecm_add_test(
    simpleiplisttest.cpp
    LINK_LIBRARIES Qt::Test plasmanm_editor
)

ecm_add_test(
    mobileproviderstest.cpp
    LINK_LIBRARIES Qt::Test plasmanm_editor
)

=== vpn/iodine/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_iodineui\")



add_library(plasmanetworkmanagement_iodineui MODULE)
target_sources(plasmanetworkmanagement_iodineui PRIVATE
    iodine.cpp
    iodinewidget.cpp
    iodineauth.cpp
    iodine.h
    iodinewidget.h
    iodineauth.h
)
ki18n_wrap_ui(plasmanetworkmanagement_iodineui iodine.ui iodineauth.ui)

target_link_libraries(plasmanetworkmanagement_iodineui
    plasmanm_internal
    plasmanm_editor
    KF5::CoreAddons
    KF5::I18n
    KF5::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_iodineui  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/network/vpn)

=== vpn/libreswan/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_libreswanui\")



add_library(plasmanetworkmanagement_libreswanui MODULE)
target_sources(plasmanetworkmanagement_libreswanui PRIVATE
    libreswan.cpp
    libreswanwidget.cpp
    libreswanauth.cpp
    libreswan.h
    libreswanwidget.h
    libreswanauth.h
)
ki18n_wrap_ui(plasmanetworkmanagement_libreswanui libreswan.ui libreswanauth.ui)

target_link_libraries(plasmanetworkmanagement_libreswanui
    plasmanm_internal
    plasmanm_editor
    KF5::CoreAddons
    KF5::I18n
    KF5::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_libreswanui  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/network/vpn)

=== vpn/openconnect/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_openconnectui\")

ecm_qt_declare_logging_category(openvpn_plugins_SRCS HEADER plasma_nm_openconnect.h IDENTIFIER PLASMA_NM_OPENCONNECT_LOG CATEGORY_NAME org.kde.plasma.nm.openconnect DESCRIPTION "Plasma NM (openconnect plugins)" EXPORT PLASMANM)

macro(add_openconnect_plugin name)
    set(openconnect_SRCS
        ${openvpn_plugins_SRCS}
        openconnectui.cpp
        openconnectwidget.cpp
        openconnectauth.cpp
        openconnectauthworkerthread.cpp
        openconnectui.h
        openconnectwidget.h
        openconnectauth.h
        openconnectauthworkerthread.h
        openconnect_${name}.cpp
    )

    ki18n_wrap_ui(openconnect_SRCS openconnectprop.ui openconnectauth.ui openconnecttoken.ui)

    add_library(plasmanetworkmanagement_openconnect_${name} MODULE ${openconnect_SRCS})

    target_link_libraries(plasmanetworkmanagement_openconnect_${name}
        plasmanm_internal
        plasmanm_editor
        KF5::NetworkManagerQt
        KF5::CoreAddons
        KF5::I18n
        KF5::KIOWidgets
        KF5::WidgetsAddons
        Qt::Xml
        PkgConfig::OPENCONNECT
    )

    install(TARGETS plasmanetworkmanagement_openconnect_${name}  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/network/vpn)
endmacro()

add_openconnect_plugin(anyconnect)
add_openconnect_plugin(juniperui)
add_openconnect_plugin(globalprotectui)
add_openconnect_plugin(pulseui)
add_openconnect_plugin(arrayui)
add_openconnect_plugin(f5ui)
add_openconnect_plugin(fortinetui)

=== vpn/vpnc/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_vpncui\")

add_library(plasmanetworkmanagement_vpncui MODULE)
target_sources(plasmanetworkmanagement_vpncui PRIVATE
    vpnc.cpp
    vpncwidget.cpp
    vpncadvancedwidget.cpp
    vpncauth.cpp
    vpnc.h
    vpncwidget.h
    vpncadvancedwidget.h
    vpncauth.h
)
ecm_qt_declare_logging_category(plasmanetworkmanagement_vpncui HEADER plasma_nm_vpnc.h IDENTIFIER PLASMA_NM_VPNC_LOG CATEGORY_NAME org.kde.plasma.nm.openvpn DESCRIPTION "Plasma NM (vpnc plugins)" EXPORT PLASMANM)

ki18n_wrap_ui(plasmanetworkmanagement_vpncui vpnc.ui vpncadvanced.ui vpncauth.ui)

target_link_libraries(plasmanetworkmanagement_vpncui
    plasmanm_internal
    plasmanm_editor
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::KIOWidgets
    KF5::I18n
    KF5::WidgetsAddons
)

install(TARGETS plasmanetworkmanagement_vpncui  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/network/vpn)

=== debian/changelog ===
plasma-nm (4:5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:00:39 +0000

plasma-nm (4:5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:24:19 +0000

plasma-nm (4:5.27.10-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:27:19 +0000

plasma-nm (4:5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:41:01 +0000

plasma-nm (4:5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Do not build the mobile broadband KCM.

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 04:14:09 -0700

plasma-nm (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:16:11 +0100

plasma-nm (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:22:46 +0000

plasma-nm (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:52:23 +0200

plasma-nm (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:20:00 +0100

plasma-nm (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:48:01 +0200

=== debian/control ===
--- 
+++ 
@@ -35,8 +35,8 @@
                mobile-broadband-provider-info,
                modemmanager-dev (>= 1.0.0~),
                modemmanager-qt-dev (>= 5.102.0~),
-               pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
+               pkgconf,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1

## plasma-nm 6.1.5

=== debian/changelog ===
plasma-nm (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:01:09 +0100

plasma-nm (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:43:33 +0100

plasma-nm (4:6.1.3-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build of the OpenConnect VPN plugin to architectures where
    Qt WebEngine is available.

 -- Patrick Franz <deltaone@debian.org>  Mon, 29 Jul 2024 15:43:08 +0900

plasma-nm (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:21 +0200

plasma-nm (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files and remove binary package kde-config-
    mobile-networking as its functionality has been moved to plasma-
    mobile.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 26 Jun 2024 01:00:53 +0200

plasma-nm (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:17:40 +0200

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libkf6colorscheme-dev (>= 6.2.0~),
               libkf6completion-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6modemmanagerqt-dev (>= 6.2.0~),
               libkf6networkmanagerqt-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6prison-dev (>= 6.2.0~),
               libkf6service-dev (>= 6.2.0~),
               libkf6solid-dev (>= 6.2.0~),
               libkf6svg-dev (>= 6.2.0~),
               libkf6wallet-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libkirigami-dev (>= 6.2.0~),
               libnm-dev (>= 1.4.0~),
               libopenconnect-dev (>= 3.99~),
               libplasma-dev (>= 6.1.5~),
               libqca-qt6-dev (>= 2.1.0~),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 1.0.0~),
               pkgconf,
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-webengine-dev (>= 6.6.0~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-nm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
Rules-Requires-Root: no

Package: plasma-nm
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         network-manager,
         plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-networkmanager,
         qml6-module-org-kde-prison,
         qml6-module-org-kde-quickcharts,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6wallet-bin, systemsettings,
Suggests: network-manager-fortisslvpn,
          network-manager-iodine,
          network-manager-l2tp,
          network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-ssh,
          network-manager-strongswan,
          network-manager-vpnc,
Description: Plasma network connections management
 plasma-nm provides a Plasma applet written in QML for managing network
 connections using Network Manager.
 .
 This package is part of the KDE Plasma.

## plasma-nm 6.2.4

=== debian/changelog ===
plasma-nm (4:6.2.4-1+rpi1) trixie-staging; urgency=medium

  * Avoid qt6-webengine on armhf.

 -- Peter Michael Green <plugwash@raspbian.org>  Mon, 30 Dec 2024 23:18:31 +0000

plasma-nm (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:38:26 +0100

plasma-nm (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:35 +0100

plasma-nm (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 21:25:13 +0200

plasma-nm (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:50 +0200

plasma-nm (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.
  * Fix Recommends on kwallet6.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:17 +0200

plasma-nm (4:6.1.4-2) experimental; urgency=medium

  * Merge changes from 4:6.1.3-2 dropped from the previous upload.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 16 Aug 2024 16:28:34 +0200

plasma-nm (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:26 +0200

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.5.0~),
               gettext,
               libkf6colorscheme-dev (>= 6.5.0~),
               libkf6completion-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6kcmutils-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6modemmanagerqt-dev (>= 6.5.0~),
               libkf6networkmanagerqt-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6prison-dev (>= 6.5.0~),
               libkf6service-dev (>= 6.5.0~),
               libkf6solid-dev (>= 6.5.0~),
               libkf6svg-dev (>= 6.5.0~),
               libkf6wallet-dev (>= 6.5.0~),
               libkf6widgetsaddons-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libkirigami-dev (>= 6.5.0~),
               libnm-dev (>= 1.4.0~),
               libopenconnect-dev (>= 3.99~),
               libplasma-dev (>= 6.2.4~),
               libqca-qt6-dev (>= 2.1.0~),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 1.0.0~),
               pkgconf,
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~) [amd64 arm64 i386],
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-nm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nm.git
Rules-Requires-Root: no

Package: plasma-nm
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         network-manager,
         plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-networkmanager,
         qml6-module-org-kde-prison,
         qml6-module-org-kde-quickcharts,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kwallet6, systemsettings,
Suggests: network-manager-fortisslvpn,
          network-manager-iodine,
          network-manager-l2tp,
          network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-ssh,
          network-manager-strongswan,
          network-manager-vpnc,
Description: Plasma network connections management
 plasma-nm provides a Plasma applet written in QML for managing network
 connections using Network Manager.
 .
 This package is part of the KDE Plasma.

## plasma-nm 6.2.90

=== debian/changelog ===
plasma-nm (4:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 08:32:39 +0000

plasma-nm (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:03:54 +0000

plasma-nm (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:15:42 +0000

plasma-nm (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:59:06 +0000

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6colorscheme-dev (>= 6.10.0~),
               libkf6completion-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6modemmanagerqt-dev (>= 6.10.0~),
               libkf6networkmanagerqt-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6prison-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6solid-dev (>= 6.10.0~),
               libkf6svg-dev (>= 6.10.0~),
               libkf6wallet-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libnm-dev (>= 1.4.0~),
               libopenconnect-dev (>= 3.99~),
               libplasma-dev (>= 6.2.90~),
               libqca-qt6-dev (>= 2.1.0~),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 1.0.0~),
               pkgconf,
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.7.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-nm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
Rules-Requires-Root: no

Package: plasma-nm
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         network-manager,
         plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-networkmanager,
         qml6-module-org-kde-prison,
         qml6-module-org-kde-quickcharts,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6wallet-bin, systemsettings,
Suggests: network-manager-fortisslvpn,
          network-manager-iodine,
          network-manager-l2tp,
          network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-ssh,
          network-manager-strongswan,
          network-manager-vpnc,
Description: Plasma network connections management
 plasma-nm provides a Plasma applet written in QML for managing network
 connections using Network Manager.
 .
 This package is part of the KDE Plasma.
